#
# spec file for package apache2-mod_sslcrl
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           apache2-mod_sslcrl
Version:        1.8
Release:        1.115
Summary:        SSL Certificate Revocation List Verification Module for Apache
License:        Apache-2.0
Group:          Productivity/Networking/Web/Servers
Url:            http://opensource.adnovum.ch/mod_sslcrl/
Source:         http://prdownloads.sourceforge.net/modsslcrl/mod_sslcrl-%{version}-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openssl-devel
%if %{defined suse_version}
BuildRequires:  apache2-devel
BuildRequires:  apache-rpm-macros
BuildRequires:  apache2-prefork
BuildRequires:  apache2-worker
%else
%define apache_apxs %{_sbindir}/apxs
BuildRequires:  httpd-devel
%endif
%if %{defined suse_version}
Requires:       %{apache_mmn}
Requires:       %{apache_suse_maintenance_mmn}
Requires:       apache2
%else
Requires:       httpd
%endif

%description
mod_sslcrl is a module for the Apache Web server implementing CRL (Certificate
Revocation Lists) verification automatically downloading new CRL files from the
corresponding CA.

%prep
%setup -q -n "mod_sslcrl-%{version}"

%build
pushd apache2
%{apache_apxs} -c mod_sslcrl.c
popd

%install
install -D -m0755 apache2/.libs/mod_sslcrl.so "%{buildroot}%{apache_libexecdir}/mod_sslcrl.so"

%files
%defattr(-,root,root)
%doc README.TXT doc/*
%{apache_libexecdir}/mod_sslcrl.so

%changelog
* Mon Sep 14 2015 pgajdos@suse.com
- updated to 1.8
  * Compatibility to Apache 2.2.29
  * Fixed: forward proxy support.
  * SSLCRL_DISABLE_DEBUG may be used to disabled verbose
    debug messages (dumping the content of the key material
    stores).
* Thu Jul 16 2015 pgajdos@suse.com
- Requries: %%{apache_suse_maintenance_mmn}
  This will pull this module to the update (in released distribution)
  when apache maintainer thinks it is good (due api/abi changes).
* Thu Nov  6 2014 pgajdos@suse.com
- update to 1.5:
  * Offline mode: verifies client certifiate even no
    SSLCRL_Url directive has been configured.
  * Debug messages showing the content of the loaded key
    material files (CA and CRL stores).
  * Adds the "crlcheck" tool to the distribution archive.
  * Pre-configuration hook calls OpenSSL_add_all_algorithms()
    independently of mod_ssl if compiled with SSLCRL_ADD_ALGORITHMS.
  * Increases default max. CRL size to 5MB.
  * New directive SSLCRL_FailClose.
  * New directive SSLCRL_ProxyEnable to enable CRL verification
    of outgoing connections (e.g. mod_proxy or mod_auth_oid).
  * Warning message for missing CRL (either specific CRL or
    empty/missing store).
  * Supports Apache 2.4.
* Sat May 12 2012 pascal.bleser@opensuse.org
- initial version (0.13)
